SEARCH

Enter your search query in the box above ^, or use the forum search tool.

You are not logged in.

#1 2014-02-23 14:48:17

TheWaffle
New Member
Registered: 2014-02-11
Posts: 9

I too am having issues building efl 1.8.5

Offline

Be excellent to each other!

#2 2014-02-23 15:04:04

iMBeCil
WAAAT?
From: Edrychwch o'ch cwmpas
Registered: 2012-03-22
Posts: 1,026
Website

Re: I too am having issues building efl 1.8.5

Usually, there is problem with dependencies. Are you sure you did install all required packages?

Furthermore, sometimes some developers don't really give exact package names one must have. For example, ELF web page says that building requires 'fribidi', when in reality it requires package named 'libfribidi-dev' ('dev' stands for 'development', meaning that it is the package for building other software; it has all headers and whatnot, normally not needed for running particular software).

If you can somehow, somewhere, post output of './configure', and post 'config.log' file (after you ran './configure'), perhaps I can help.

Note: to catch FULL output of './configure', please do:

$ ./configure > myconfigoutput 2>&1

('2>&1' will redirect stderr to the 'myconfigoutput' file, which will normally be filled with stdout only).

Offline

#3 2014-02-23 15:35:13

TheWaffle
New Member
Registered: 2014-02-11
Posts: 9

Re: I too am having issues building efl 1.8.5

Offline

#4 2014-02-23 15:48:18

iMBeCil
WAAAT?
From: Edrychwch o'ch cwmpas
Registered: 2012-03-22
Posts: 1,026
Website

Re: I too am having issues building efl 1.8.5

OK, in config.log, line 3046 it says:

Package xext was not found in the pkg-config search path.

Now do:

$ apt-cache search xext
html-xml-utils - HTML and XML manipulation utilities
libxext-dev - X11 miscellaneous extensions library (development headers)
libxext-doc - X11 miscellaneous extensions library (documentation)
libxext6 - X11 miscellaneous extension library
libxext6-dbg - X11 miscellaneous extensions library (debug package)
libxmu-dev - X11 miscellaneous utility library (development headers)
libxmu6 - X11 miscellaneous utility library
libxmu6-dbg - X11 miscellaneous utility library (debug package)
libxmuu-dev - X11 miscellaneous micro-utility library (development headers)
libxmuu1 - X11 miscellaneous micro-utility library
libxmuu1-dbg - X11 miscellaneous micro-utility library (debug package)
libocamlbricks-ocaml-dev - Miscellaneous utility functions in OCaml for Marionnet
x11proto-xext-dev - X11 various extension wire protocol

So, you should install one of '*-dev' package. Looking at the ELF web page, you should install 'libxext-dev' package.
(I wonder how much more '*-dev' packages will be missing ...)

Therefore, that's the way you can go ... Of course, there is probably more clever way, as 'porkpiehat' said in the topic you linked. (I do not know if this works ... didn't tried.)

Offline

#5 2014-02-23 15:55:12

TheWaffle
New Member
Registered: 2014-02-11
Posts: 9

Re: I too am having issues building efl 1.8.5

Installed and got this:
checking X11/Xatom.h usability... yes
checking X11/Xatom.h presence... yes
checking for X11/Xatom.h... yes
checking X11/Xutil.h usability... yes
checking X11/Xutil.h presence... yes
checking for X11/Xutil.h... yes
checking X11/extensions/Xrender.h usability... no
checking X11/extensions/Xrender.h presence... no
checking for X11/extensions/Xrender.h... no
configure: error: OpenGL XLib dependencies not found

Offline

#6 2014-02-23 15:56:46

TheWaffle
New Member
Registered: 2014-02-11
Posts: 9

Re: I too am having issues building efl 1.8.5

I am now installing
libxmu-dev
libxmuu-dev
because they are on that list and they are not installed
they didnot help
Now installing
libxcb-render0-dev
libxcb-record0-dev
libxcb-glx0-dev

Last edited by TheWaffle (2014-02-23 16:04:21)

Offline

#7 2014-02-23 16:03:31

iMBeCil
WAAAT?
From: Edrychwch o'ch cwmpas
Registered: 2012-03-22
Posts: 1,026
Website

Re: I too am having issues building efl 1.8.5

Offline

#8 2014-02-23 16:24:26

TheWaffle
New Member
Registered: 2014-02-11
Posts: 9

Re: I too am having issues building efl 1.8.5

Searching in geany for "error" is tedious
what did you do to find the not installed package so fast?

Offline

#9 2014-02-23 16:26:35

iMBeCil
WAAAT?
From: Edrychwch o'ch cwmpas
Registered: 2012-03-22
Posts: 1,026
Website

Re: I too am having issues building efl 1.8.5

I agree with that  smile

Initially, I skimmed through config.log ... But now I would search for 'No package' ...

Offline

#10 2014-02-23 16:49:19

TheWaffle
New Member
Registered: 2014-02-11
Posts: 9

Re: I too am having issues building efl 1.8.5

Needed libxrender-dev
            libcongl-dev

Last edited by TheWaffle (2014-02-23 16:53:22)

Offline

#11 2014-02-23 16:52:01

iMBeCil
WAAAT?
From: Edrychwch o'ch cwmpas
Registered: 2012-03-22
Posts: 1,026
Website

Re: I too am having issues building efl 1.8.5

A suggestion: please, remember what packages you have to install, and when you are done with successful ELF compilation, please post the list here. It will sure help other users who are trying EFL ...

Thanks in advance.

Offline

Board footer

Powered by FluxBB

Copyright © 2012 CrunchBang Linux.
Proudly powered by Debian. Hosted by Linode.
Debian is a registered trademark of Software in the Public Interest, Inc.
Server: bleh

Debian Logo